# EZ_SSheetMakeChart

##

##

##

##

##

    NAME
           EZ_SSheetMakeChart  -  make  a  chart  from a spread sheet
           region

    SYNOPSIS
           #include <EZ.h>

           EZ_Item *EZ_SSheetMakeChart( EZ_Widget *ssheet, int r1, int c1, int r2, int c2,
                      EZ_SChartHandle handle, int kind, void *data, int cmod);

           typedef  int  (*EZ_SChartHandle)(EZ_Widget *ssheet, void *chart, int r1, int c1,
                                            int r2, int c2, int kind, void *data);

    ARGUMENTS
           ssheet  Specifies a spread sheet widget.

           r1,c1,r2,c2 col  Specify the  the  upper-left  and  lower-
           right corner of a region.

           handle Specify a chart handle.

           kind,  data Specify client data to be passed to chart han-
           dle.

           cmode Specified coordinate mode, either 0 or 1.

    DESCRIPTION
           EZ_SSheetMakeChart creates a  chart  using  the  specified
           chart  handle  and  the  specified  region. A spread sheet
           chart is a display FIG item. This function  allocates  and
           initializes  a FIG item and passed it to the chart handle.
           The chart handle is responsible for  actually  making  the
           chart.  Once  created,  the spread sheet widget will track
           the defining region for the chart,  when  a  cell  in  the
           region  is  modified,  the chart handle will be invoked to
           update the chart.

    SEE ALSO
           EZ_SSheetGetActiveChart(3),       EZ_SSheetDeleteChart(3),
           EZ_SSheetGetHighlightedRegion(3),